<div id="popup" class="ol-popup">
  <a href="#" id="popup-closer" class="ol-popup-closer"></a>
  <div id="popup-content"></div>
</div>

<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
  <aol-map [width]="'100%'" [height]="'100%'" (onClick)="mouseOver($event)">
    <aol-interaction-default></aol-interaction-default>
    <aol-view [zoom]="4">
      <aol-coordinate [x]="entityRegion.capitalCoords[1]" [y]="entityRegion.capitalCoords[0]" [srid]="'EPSG:4326'">
      </aol-coordinate>
    </aol-view>

    <aol-layer-tile>
      <aol-source-osm></aol-source-osm>
    </aol-layer-tile>

    <aol-layer-vector>
      <aol-source-vector>
        <aol-feature *ngFor="let region of regions" id="{{region.id}}">
          <aol-geometry-polygon>
            <aol-collection-coordinates [coordinates]="[region.unifiedPaths]" [srid]="'EPSG:4326'">
            </aol-collection-coordinates>
          </aol-geometry-polygon>
          <aol-style>
            <aol-style-stroke [color]="'#d6a40f'" [width]="'1'"></aol-style-stroke>
            <aol-style-fill [color]="region.mapColor[0]"></aol-style-fill>
          </aol-style>
        </aol-feature>
      </aol-source-vector>
    </aol-layer-vector>
    <!-- CITIZEN HOME REGION  -->
    <aol-overlay *ngIf="entityRegion.capitalCoords[1] != 0 || entityRegion.capitalCoords[0] != 0">
      <aol-coordinate [x]="entityRegion.capitalCoords[1]" [y]="entityRegion.capitalCoords[0]" [srid]="'EPSG:4326'">
      </aol-coordinate>
      <aol-content>
        <i nz-icon style="font-size: 24px;">
          <svg>
            <path
              d="M99.096 315.634s-82.58-64.032-82.58-132.13c0-66.064 33.032-165.162 148.646-148.646 83.37 11.91 99.096 165.162 99.096 165.162l-165.162 115.614zM924.906 315.634s82.58-64.032 82.58-132.13c0-66.064-33.032-165.162-148.646-148.646-83.37 11.91-99.096 165.162-99.096 165.162l165.162 115.614z"
              fill="#6B676E" p-id="1143" />
            <path
              d="M1024 561.548c0 264.526-229.23 429.42-512.002 429.42S0 826.076 0 561.548 283.96 66.064 512.002 66.064 1024 297.022 1024 561.548z"
              fill="#FFEBD2" p-id="1144" />
            <path d="M330.324 842.126c0 82.096 81.34 148.646 181.678 148.646s181.678-66.55 181.678-148.646H330.324z"
              fill="#E9D7C3" p-id="1145" />
            <path
              d="M644.13 611.098C594.582 528.516 561.55 512 512.002 512c-49.548 0-82.58 16.516-132.13 99.096-42.488 70.814-78.73 211.264-49.548 247.742 66.064 82.58 165.162 33.032 181.678 33.032 16.516 0 115.614 49.548 181.678-33.032 29.18-36.476-7.064-176.93-49.55-247.74z"
              fill="#FFFFFF" p-id="1146" />
            <path
              d="M611.098 495.484c0-45.608 36.974-82.58 82.58-82.58 49.548 0 198.194 99.098 198.194 165.162s-79.934 144.904-148.646 99.096c-49.548-33.032-132.128-148.646-132.128-181.678zM412.904 495.484c0-45.608-36.974-82.58-82.58-82.58-49.548 0-198.194 99.098-198.194 165.162s79.934 144.904 148.646 99.096c49.548-33.032 132.128-148.646 132.128-181.678z"
              fill="#6B676E" p-id="1147" />
            <path
              d="M512.002 726.622c-30.06 0-115.614 5.668-115.614 33.032 0 49.638 105.484 85.24 115.614 82.58 10.128 2.66 115.614-32.944 115.614-82.58-0.002-27.366-85.556-33.032-115.614-33.032z"
              fill="#464655" p-id="1148" />
            <path d="M330.324 495.484m-33.032 0a33.032 33.032 0 1 0 66.064 0 33.032 33.032 0 1 0-66.064 0Z"
              fill="#464655" p-id="1149" />
            <path d="M693.678 495.484m-33.032 0a33.032 33.032 0 1 0 66.064 0 33.032 33.032 0 1 0-66.064 0Z"
              fill="#464655" p-id="1150" />
          </svg>
        </i>
      </aol-content>
    </aol-overlay>
    <!-- REGION STATS -->
    <aol-overlay *ngIf="selectedRegion !== undefined">
      <aol-coordinate [x]="selectedRegion.capitalCoords[1]" [y]="selectedRegion.capitalCoords[0]" [srid]="'EPSG:4326'">
      </aol-coordinate>
      <aol-content>
        <div class="map-region-details">
          <nz-card style="width:400px;">
            <div nz-row nzType="flex" nzJustify="start">
              <div nz-col nzSpan="17">
                <div style="font-size: 13px;">{{selectedRegion.name}}</div>
              </div>
              <div nz-col nzSpan="7">
                <a href="{{hostUrl}}/travel/{{token}}/{{selectedRegion.id}}" target="_blank"
                  *ngIf="selectedRegion.id !== entityRegion.id && selectedRegion.isWasteland == false" nz-button
                  nzType="primary" [nzSize]="'small'">Travel here</a>
              </div>
            </div>

            <div nz-row nzType="flex" nzJustify="start" style="margin-top: 5px;">
              <div nz-col nzSpan="11">
                <div style="font-size: 12px;"><img src="{{hostUrl}}/{{selectedRegion.country.flagLocation[0]}}">
                  {{ selectedRegion.country.name }}</div>
              </div>
              <div nz-col nzSpan="11">
                <div style="font-size: 12px;">Population: {{selectedRegion.population}}</div>
              </div>
            </div>

            <div nz-row nzType="flex" nzJustify="start" style="margin-top: 5px;">
              <div nz-col nzSpan="11">
                <div style="font-size: 12px;" *ngIf="selectedRegion.hospitalQ > 0">
                  <img src="{{hostUrl}}/assets/img/ico/eco/prod/hospital.png" width="25" height="25">
                  <span style="padding-top: 10px; margin-left: 5px;">
                    <nz-rate [ngModel]="+selectedRegion.hospitalQ" [nzCount]="5" nzDisabled></nz-rate>
                  </span>
                </div>
              </div>
              <div nz-col nzSpan="11">
                <div style="font-size: 12px;" *ngIf="+selectedRegion.resourceList.split(':')[0] > 0">
                  <div style="font-size: 11px;">
                    <img src="{{hostUrl}}/assets/img/ico/eco/prod/{{selectedRegion.resourceIcon.toLowerCase()}}.png"
                      nz-tooltip nzTooltipPlacement="top" nzTooltipTitle="{{selectedRegion.resourceName}}" width="25"
                      height="25">
                    <span style="padding-top: 10px; margin-left: 5px;">
                      <nz-rate [ngModel]="+selectedRegion.resourceQuality" [nzCount]="3" nzDisabled></nz-rate>
                    </span>
                  </div>
                </div>
              </div>
            </div>

            <div *ngIf="selectedRegion.attackedByCountry !== null">
              <!-- IF HAS ACTIVE BATTLE -->
              <hr />
              <div nz-row nzType="flex" nzJustify="center">
                <div nz-col nzSpan="17">
                  <div style="font-size: 13px;">Attacked by: <img
                      src="{{hostUrl}}/{{selectedRegion.attackedByCountry.flagLocation[0]}}">
                    {{ selectedRegion.attackedByCountry.name }}</div>
                </div>
                <div nz-col nzSpan="7">
                  <a href="{{hostUrl}}/battle/{{selectedRegion.battleId}}" target="_blank" nz-button
                    style="background-color: red" nzType="primary" [nzSize]="'small'">Battle</a>
                </div>
              </div>
            </div>
            <!-- <div nz-row nzType="flex" nzJustify="center" style="margin-top: 5px;">
                <div nz-col nzSpan="11">
                    <a href="{{hostUrl}}/battle/{{selectedRegion.battleId}}" target="_blank" nz-button style="background-color: red" nzType="primary" [nzSize]="'small'">Start resistance</a>
                </div>
                <div nz-col nzSpan="11">
                    <a href="{{hostUrl}}/battle/{{selectedRegion.battleId}}" target="_blank" nz-button style="background-color: red" nzType="primary" [nzSize]="'small'">Attack (GOV ONLY)</a>
                </div>
              </div> -->
          </nz-card>
        </div>
      </aol-content>
    </aol-overlay>
  </aol-map>
</nz-spin>